$editMode = 1;       // 1 允许编辑  0 禁止编辑

$(function() {
    $('img').on('click', function() {
        var url = $(this).attr('src');
        window.android.onImgClick(url);
    });

    $('.single').on('click', function() {
        if ($editMode) {
            $(this).children('span.option').removeClass().addClass('option selected');
            $(this).siblings('div').children('span.option').removeClass().addClass('option default');
            var option = $(this).children('span.option').attr('val');
            window.android.onOptionSelected(option);
        }
    });

    $('.multi').on('click', function() {
        if ($editMode) {
            if ($(this).children('span.option').hasClass('default')) {
                $(this).children('span.option').removeClass().addClass('option selected');
            } else {
                $(this).children('span.option').removeClass().addClass('option default');
            }
            var optionArray = new Array();
            var brothers = $(this).parent().children();
            for (var i = 0; i < brothers.length; i++) {
                var item = brothers.eq(i);
                if (item.children('span.option').hasClass('selected')) {
                    optionArray.push(item.children('span.option').attr('val'));
                }
            }
            var option = optionArray.join(',');
            window.android.onOptionSelected(option);
        }
    });
});

/**
 * 设置是否可以修改答案
 */
function setEditable(editable) {
    $editMode = editable ? 1 : 0;
    
    window.console.warn('set editable = ' + editable);
}

function getDocumentHeightToApp(){
    setTimeout(function(){
        var img = document.createElement('img');
        img.src = 'cpa://transfer-height?height=' + ($('section:eq(0)').height() + $('section:eq(1)').height() + 40);
        document.body.append(img);
        img.style['display']='none';
      }, 500);
}

/**
 * 设置用户答案
 */
function setAnswer(answer) {
    $editMode = 0;
    var optionElements = $('.options').children();
    var length = optionElements.length < answer.length ? optionElements.length : answer.length;

    for (var i = 0; i < length; i++) {
        var cssClazz = 'default';
        if (answer[i] == -1) {
            cssClazz = 'selected';
        } else if (answer[i] == 1) {
            cssClazz = 'right';
        } else if (answer[i] == 2) {
            cssClazz = 'wrong';
        } else if (answer[i] == 3) {
            cssClazz = 'uright';
        }

        var item = optionElements.eq(i);
        item.children('span.option').removeClass().addClass('option ' + cssClazz);
    }
}

/**
 * 重置选项为可编辑状态，选项默认未选
 */
function resetOption() {
    $editMode = 1;
    var optionElements = $('.options').children();
    var length = optionElements.length;

    for (var i = 0; i < length; i++) {
        optionElements.eq(i).children('span.option').removeClass().addClass('option default');
    }
}

/**
 * 返回用户选择的答案
 */
function getAnswer() {
    var option = new Array();
    var brothers = $('.options').children('div');
    for (var i = 0; i < brothers.length; i++) {
        var item = brothers.eq(i);
        if (item.children('span:first').hasClass('selected')) {
            option.push(item.children('span:first').html());
        }
    }
    var answer = option.join(',');

    window.android.onOptionSelected(answer);
}